Bug 987268 - [origin_broker_25]The field 'name' of create domain should use 'name' instead of 'id' when invoking api entry point
[origin_broker_25]The field 'name' of create domain should use 'name' instead...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 02:36 EDT by zhaozhanqi
Modified: 2015-05-14 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:55:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-07-23 02:36:16 EDT
Description of problem:
Invoke api entry point:curl -k -H 'Accept: application/xml,version=1.6' --user user:pass https://<instance>/broker/rest/api -X GET,field 'name' of create domain should use 'name' instead of 'id'

<rel>Create new domain</rel>
      <method>POST</method>
      <href>https://ec2-54-225-61-151.compute-1.amazonaws.com/broker/rest/domains</href>
      <required-params>
        <param>
--------------- <name>id</name>------------- here should be use 'name' instead of 'id'
          <type>string</type>


Version-Release number of selected component (if applicable):
fork_ami_online_broker_25_703

How reproducible:
always

Steps to Reproduce:
1.invoke rest api
   curl -k -H 'Accept: application/xml,version=1.6' --user user:pass https://<instance>/broker/rest/api -X GET
2.
3.

Actual results:

 <rel>Create new domain</rel>
      <method>POST</method>
      <href>https://ec2-54-225-61-151.compute-1.amazonaws.com/broker/rest/domains</href>
      <required-params>
        <param>
          <name>id</name>  ---------------------------
          <type>string</type>
         

Expected results:

 <rel>Create new domain</rel>
      <method>POST</method>
      <href>https://ec2-54-225-61-151.compute-1.amazonaws.com/broker/rest/domains</href>
      <required-params>
        <param>
          <name>name</name> ------------------------
          <type>string</type>

Additional info:
Comment 1 Lili Nader 2013-07-23 13:28:41 EDT
fixed in https://github.com/openshift/origin-server/pull/3088
Comment 3 zhaozhanqi 2013-07-24 02:50:11 EDT
Tested this issue on devenv_3545,it has been fixed.


<rel>Create new domain</rel>
      <method>POST</method>
      <href>https://ec2-174-129-100-43.compute-1.amazonaws.com/broker/rest/domains</href>
      <required-params>
        <param>
          <name>name</name>
          <type>string</type>
          <description>Name of the domain</description>

Note You need to log in before you can comment on or make changes to this bug.